REST API Reference
Complete reference for every endpoint in the Nexudus REST API
Retrieve a single FloorPlanLayoutOpening record by its Id.
{ "FloorPlanLayoutEdgeId": 123, "FloorPlanLayoutEdgeName": "<string>", "OpeningType": "<string>", "FloorOffset": 123, "Start": 123, "Height": 123, "Length": 123, "Hinge": "<string>", "DoorType": "<string>", "DoorArcAngle": 123, "DoorIsLocked": true, "WindowPaneCount": 123, "Direction": "<string>", "Id": 123, "UniqueId": "<string>", "CreatedOn": "<string>", "UpdatedOn": "<string>", "UpdatedBy": "<string>", "IsNew": true, "SystemId": "<string>" }
Authorization
FloorPlanLayoutOpening-Read
curl -X GET \ "https://spaces.nexudus.com/api/sys/floorplanlayoutopenings/87654321" \ -H "Authorization: Bearer YOUR_TOKEN"
{ "FloorPlanLayoutEdgeId": 0, "FloorPlanLayoutEdgeName": null, "OpeningType": "", "FloorOffset": 0, "Start": 0, "Height": 0, "Length": 0, "Hinge": null, "DoorType": null, "DoorArcAngle": null, "DoorIsLocked": false, "WindowPaneCount": null, "Direction": null, "Id": 87654321, "UpdatedOn": "2025-01-15T10:30:00Z", "CreatedOn": "2025-01-10T08:00:00Z", "UniqueId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "UpdatedBy": "admin@example.com", "IsNew": false, "SystemId": null, "ToStringText": "FloorPlanLayoutOpening Example", "LocalizationDetails": null, "CustomFields": null }